/*1. base*/

html {
    background-color: #FFF;
    border: black .5em solid;
    color: #003049;
    font-family: "Manrope", sans-serif;
    font-size: 16px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    line-height: 1.5;
    min-height: 100vh;
    min-width: 100vw;
    max-width: 100vw;
    overflow-x: hidden;
    text-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

a {
    color: currentColor;
    cursor: pointer;
    text-decoration: none;
}

/*2. shared*/

.picture-shadow, .picture-image {
    display: block;
    height: 100%;
    left: 0;
    top: 0;
    width: 100%;
}

.job, .button {
    font-family: 'Quicksand', 'Manrope', sans-serif;
    letter-spacing: 0.3em;
    text-transform: uppercase;
}

.button, .social a {
    transform-origin: center;
    transition-duration: 300ms;
}

.project-button,
.design-button {
    font-size: 1.5rem;
    line-height: 1rem;
    cursor: pointer;
}


.project-button::before,
.design-button::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: -10px;
    left: 0;
    background-color: #F77F00;
    visibility: hidden;
    transform: scaleX(0);
    transition: all 0.3s ease-in-out 0s;
}

.project-button:hover::before,
.design-button:hover::before {
    color: #F77F00;
    transform: scaleX(1);
    visibility: visible;
}

.content, .to-top {
    display: flex;
    position: relative;
}

.projects, .designs {
    position: relative;
    transition: all 4s linear;
}

.projects > div > a, .designs > div > a {
    display: block;
    width: 10rem;
    margin: 0 auto;
}

.loader {
    display: flex;
    place-content: center;
    padding: 5rem;
    width: 100%;
    height: 100vh;
    background-color: red;
    transition: all 10s ease-in-out;
    margin: 0 auto;
}

/*3. specific*/

.side {
    max-height: 20rem;
    max-width: 20rem;
}

.picture {
    padding-top: 100%;
    position: relative;
    width: 100%;
}

.picture-image {
    border-radius: 50%;
    object-fit: cover;
    position: absolute;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.name {
    font-size: 2.25rem;
    line-height: 1.125;
    margin-bottom: 0.5rem;
}

.job {
    color: #F77F00;
    font-size: 0.75rem;
}

.hr {
    background-color: #D62828;
    border: none;
    content: '';
    height: 1px;
    margin-bottom: 1.5rem;
    margin-top: .5rem;
    transform-origin: center;
    width: 4rem;
}

.description {
    font-size: 1.2rem;
}

.contact {
    display: inline-block;
    margin-top: 1.5rem;
    vertical-align: top;
}

.button {
    background-color: #003049;
    border-radius: 293486px;
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
    color: #FFF;
    display: block;
    font-size: 0.875rem;
    line-height: 1;
    margin: 1rem auto;
    padding: 1.25em 2em;
    text-align: center;
    text-shadow: none;
    transition-property: box-shadow, transform, background-color;
    user-select: none;
    /* vertical-align: top; */
    white-space: nowrap;
    will-change: box-shadow, transform, background-color;
}

.button:hover {
    background-color: #F77F00;
    transition-timing-function: ease-in-out;
}

.button:active {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.3);
    transform: scale(0.8) translateY(-2px);
}

.social {
    display: flex;
    margin-top: 1.5rem;
}

.social li {
    height: 2rem;
    margin-right: 0.5rem;
    text-align: center;
    width: 2rem;
}

.social a {
    align-items: center;
    display: flex;
    font-size: 1.5rem;
    height: 2rem;
    justify-content: center;
    opacity: 0.5;
    transition-property: opacity, transform;
    width: 2rem;
    will-change: opacity, transform;
}

.social a:hover {
    opacity: 1;
    transform: scale(1.25);
}

.social a:active {
    opacity: 1;
    transform: scale(1.25);
}

.second-content {
    display: flex;
    position: relative;
}

.hidden {
    display: none;
}

.visually-hidden {
    opacity: 0;
}

.work {
    padding-bottom: 2rem;
    padding-top: 2rem;
    margin: 0 auto;
}

.card {
    background-repeat: no-repeat;
    background-size: cover;
    background-color: whitesmoke;
    border-radius: 5px;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.3);
    height: 10rem;
    width: 10rem;
    margin: 1.5rem auto;
    position: relative;

}

.card::after {
    filter: blur(40px);
}

.card-text {
    position: relative;
    text-align: center;

}

/*4. responsiveness*/

/*big devices*/
@media screen and (min-width: 800px) {

    html {
        overflow-y: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    html::-webkit-scrollbar {
        width: 0;
        height: 0;
    }

    .content {
        align-items: center;
        justify-content: center;
        padding: 4rem 20rem;
    }

    .side {
        flex-grow: 0;
        flex-shrink: 0;
        height: 20rem;
        margin-left: 4rem;
        order: 2;
        width: 20rem;
    }

    .about {
        flex-grow: 1;
        flex-shrink: 1;
    }

    .second-content {
        justify-content: space-evenly;
        padding: 1rem 1rem;
        margin-bottom: 0;
    }

    .projects, .designs {
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(1, 1fr);
        grid-column-gap: 1rem;
        grid-row-gap: 0.3rem;
        justify-content: center;
        align-content: center;
    }

    .to-top {
        display: none;
    }
}

/*small devices*/
@media screen and (max-width: 799px) {
    html {
        overflow-y: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    html::-webkit-scrollbar {
        width: 0;
        height: 0;
    }

    .content {
        align-items: center;
        flex-direction: column;
        justify-content: center;
        padding: 3rem;
    }

    .side {
        margin-bottom: 3rem;
        width: 100%;
    }

    .second-content {
        justify-content: space-evenly;
        padding-left: 3rem;
        padding-right: 3rem;
    }

    .projects, .designs {
        grid-template-columns: repeat(2, .5fr);
        grid-template-rows: repeat(1, 1fr);
        grid-column-gap: 1rem;
        grid-row-gap: 0.3rem;
        justify-content: center;
        align-content: center;
    }

    .to-top {
        justify-content: center;
        padding-bottom: 1.5rem;
    }
}

/*Specifically for JioPhone and smaller devices*/
@media screen and (max-width: 400px) {
    html {
        overflow-y: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    html::-webkit-scrollbar {
        width: 0;
        height: 0;
    }

    .project-button, .design-button {
        font-size: 1rem;
        margin: 0 1rem;
    }

    .description {
        font-size: .75rem;
    }

    .name {
        font-size: 1.5rem;
    }

    .button {
        font-size: .5rem;
    }

    .projects, .designs {
        justify-content: center;
    }

    .job {
        font-size: .5rem;
    }

    .work {
        padding: 0;
    }

    .projects, .designs {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(1, 1fr);
        grid-column-gap: 1rem;
        grid-row-gap: 1rem;
        justify-content: center;
        align-content: center;
    }

    .to-top {
        margin-top: 1rem;
    }
}
